Bug 1255974 - Binaries ship python2 packages, but expect to run with python3
Binaries ship python2 packages, but expect to run with python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedmsg (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 13:09 EDT by Ben Boeckel
Modified: 2015-11-13 14:24 EST (History)
2 users (show)

See Also:
Fixed In Version: fedmsg-0.16.1-1.fc23 fedmsg-0.16.2-1.fc23 fedmsg-0.16.2-1.fc22 fedmsg-0.16.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 14:24:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-08-22 13:09:52 EDT
When running fedmsg-tail and friends, they cannot find the fedmsg package because they have this shebang:

#!/usr/bin/python3

but Require: python-fedmsg-core instead of python3-fedmsg-core.

The package also ships:

/usr/lib/python2.7/site-packages/fedmsg/commands

which should be changed.

Version-Release number of selected component (if applicable):
python-fedmsg-commands-0.15.0-1.fc24.noarch
Comment 1 Fedora Update System 2015-08-26 10:51:53 EDT
fedmsg-0.15.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14335
Comment 2 Fedora Update System 2015-08-26 11:03:13 EDT
fedmsg-0.15.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7805
Comment 3 Fedora Update System 2015-08-26 11:13:15 EDT
fedmsg-0.15.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14344
Comment 4 Fedora Update System 2015-08-26 18:49:15 EDT
fedmsg-0.15.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update fedmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7805
Comment 5 Fedora Update System 2015-08-28 14:58:04 EDT
fedmsg-0.15.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update fedmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14344
Comment 6 Fedora Update System 2015-08-31 14:53:35 EDT
fedmsg-0.15.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update fedmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14335
Comment 7 Fedora Update System 2015-09-23 20:31:42 EDT
fedmsg-0.16.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16558
Comment 8 Fedora Update System 2015-09-23 20:32:53 EDT
fedmsg-0.16.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16559
Comment 9 Fedora Update System 2015-09-23 21:00:59 EDT
fedmsg-0.16.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8214
Comment 10 Fedora Update System 2015-09-24 12:20:52 EDT
fedmsg-0.16.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16558
Comment 11 Fedora Update System 2015-09-24 20:20:42 EDT
fedmsg-0.16.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8214
Comment 12 Fedora Update System 2015-09-25 17:20:57 EDT
fedmsg-0.16.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16559
Comment 13 Fedora Update System 2015-10-02 22:05:55 EDT
fedmsg-0.16.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76d0e120a1
Comment 14 Fedora Update System 2015-10-02 22:06:13 EDT
fedmsg-0.16.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a95067b5e8
Comment 15 Fedora Update System 2015-10-02 22:16:43 EDT
fedmsg-0.16.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-99889caa93
Comment 16 Fedora Update System 2015-10-03 13:47:11 EDT
fedmsg-0.16.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-03 21:35:23 EDT
fedmsg-0.16.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a95067b5e8
Comment 18 Fedora Update System 2015-10-03 21:51:08 EDT
fedmsg-0.16.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76d0e120a1
Comment 19 Fedora Update System 2015-10-05 00:20:59 EDT
fedmsg-0.16.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-99889caa93
Comment 20 Fedora Update System 2015-10-08 11:17:00 EDT
fedmsg-0.16.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6ae7657504
Comment 21 Fedora Update System 2015-10-08 11:19:09 EDT
fedmsg-0.16.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-113bc844cf
Comment 22 Fedora Update System 2015-10-08 11:22:25 EDT
fedmsg-0.16.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a4f3738b25
Comment 23 Fedora Update System 2015-10-09 09:54:34 EDT
fedmsg-0.16.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-113bc844cf
Comment 24 Fedora Update System 2015-10-09 09:55:24 EDT
fedmsg-0.16.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6ae7657504
Comment 25 Fedora Update System 2015-10-09 18:53:44 EDT
fedmsg-0.16.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a4f3738b25
Comment 26 Fedora Update System 2015-10-11 12:02:19 EDT
fedmsg-0.16.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-10-19 21:54:28 EDT
fedmsg-0.16.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2015-10-24 08:33:36 EDT
fedmsg-0.16.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-52ae1f4c0c
Comment 29 Fedora Update System 2015-10-26 17:20:15 EDT
fedmsg-0.16.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-52ae1f4c0c
Comment 30 Fedora Update System 2015-11-13 14:24:34 EST
fedmsg-0.16.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.